package com.example.autorization.ui.adapters

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView.Adapter
import androidx.recyclerview.widget.RecyclerView.ViewHolder
import com.example.autorization.R
import com.example.autorization.ui.fragments.signup.User

class UserAdapter(private val users:List<User>): Adapter<UserAdapter.UserViewHolder>() {
    inner class UserViewHolder(view: View):ViewHolder(view) {
        val userNameTextView = view.findViewById<TextView>(R.id.UserNameTextView)
        val userEmailTextView = view.findViewById<TextView>(R.id.UserEmailTextView)
        val userPasswordTextView = view.findViewById<TextView>(R.id.UserPasswordTextView)
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): UserViewHolder {
        return UserViewHolder(LayoutInflater.from(parent.context)
            .inflate(R.layout.user_item, parent, false))
    }

    override fun getItemCount(): Int = users.size

    override fun onBindViewHolder(holder: UserViewHolder, position: Int) {
        holder.userNameTextView.text = users[position].name
        holder.userEmailTextView.text = users[position].email
        holder.userPasswordTextView.text = users[position].password
    }
}